TKeyRangeResult (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TKeyRangeResult

- java.lang.Object
- - com.sleepycat.thrift.TKeyRangeResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TKeyRangeResult>, org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TKeyRangeResult
      extends java.lang.Object
      implements org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TKeyRangeResult>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TKeyRangeResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `equal`
    `double` | `greater`
    `double` | `less`
    `static java.util.Map<TKeyRangeResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TKeyRangeResult()`
    `TKeyRangeResult(TKeyRangeResult other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TKeyRangeResult other)`
    `TKeyRangeResult` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TKeyRangeResult that)`
    `TKeyRangeResult._Fields` | `fieldForId(int fieldId)`
    `double` | `getEqual()`
    `java.lang.Object` | `getFieldValue(TKeyRangeResult._Fields field)`
    `double` | `getGreater()`
    `double` | `getLess()`
    `int` | `hashCode()`
    `boolean` | `isSet(TKeyRangeResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEqual()` Returns true if field equal is set (has been assigned a value) and false otherwise
    `boolean` | `isSetGreater()` Returns true if field greater is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLess()` Returns true if field less is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TKeyRangeResult` | `setEqual(double equal)`
    `void` | `setEqualIsSet(boolean value)`
    `void` | `setFieldValue(TKeyRangeResult._Fields field, java.lang.Object value)`
    `TKeyRangeResult` | `setGreater(double greater)`
    `void` | `setGreaterIsSet(boolean value)`
    `TKeyRangeResult` | `setLess(double less)`
    `void` | `setLessIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetEqual()`
    `void` | `unsetGreater()`
    `void` | `unsetLess()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### equal

          public double equal

    - #### greater

          public double greater

    - #### less

          public double less

    - #### metaDataMap

          public static final java.util.Map<TKeyRangeResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TKeyRangeResult

          public TKeyRangeResult()

    - #### TKeyRangeResult

          public TKeyRangeResult(TKeyRangeResult other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TKeyRangeResult deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>`

    - #### getEqual

          public double getEqual()

    - #### setEqual

          public TKeyRangeResult setEqual(double equal)

    - #### unsetEqual

          public void unsetEqual()

    - #### isSetEqual

          public boolean isSetEqual()

      Returns true if field equal is set (has been assigned a value) and false otherwise

    - #### setEqualIsSet

          public void setEqualIsSet(boolean value)

    - #### getGreater

          public double getGreater()

    - #### setGreater

          public TKeyRangeResult setGreater(double greater)

    - #### unsetGreater

          public void unsetGreater()

    - #### isSetGreater

          public boolean isSetGreater()

      Returns true if field greater is set (has been assigned a value) and false otherwise

    - #### setGreaterIsSet

          public void setGreaterIsSet(boolean value)

    - #### getLess

          public double getLess()

    - #### setLess

          public TKeyRangeResult setLess(double less)

    - #### unsetLess

          public void unsetLess()

    - #### isSetLess

          public boolean isSetLess()

      Returns true if field less is set (has been assigned a value) and false otherwise

    - #### setLessIsSet

          public void setLessIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TKeyRangeResult._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TKeyRangeResult._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>`

    - #### isSet

          public boolean isSet(TKeyRangeResult._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TKeyRangeResult that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TKeyRangeResult other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TKeyRangeResult>`

    - #### fieldForId

          public TKeyRangeResult._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TKeyRangeResult,TKeyRangeResult._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.